## org.apache.poi.hssf.converter
Class ExcelToHtmlUtils

    java.lang.Object
      org.apache.poi.hssf.converter.AbstractExcelUtils
          org.apache.poi.hssf.converter.ExcelToHtmlUtils

    @Beta
    public class ExcelToHtmlUtils

extends AbstractExcelUtils

Constructor Summary
`ExcelToHtmlUtils()`

Method Summary
`static void` `appendAlign(java.lang.StringBuilder style, short alignment)`
`static CellRangeAddress[][]` `buildMergedRangesMap(HSSFSheet sheet)` Creates a map (i.e.

Methods inherited from class org.apache.poi.hssf.converter.AbstractExcelUtils
`getAlign, getBorderStyle, getBorderWidth, getColor, getColumnWidthInPx, getMergedRange, loadXls`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExcelToHtmlUtils

    public ExcelToHtmlUtils()

Method Detail

### appendAlign

    public static void appendAlign(java.lang.StringBuilder style,
                                   short alignment)

### buildMergedRangesMap

    public static CellRangeAddress[][] buildMergedRangesMap(HSSFSheet sheet)

  Creates a map (i.e. two-dimensional array) filled with ranges. Allow fast retrieving `CellRangeAddress` of any cell, if cell is contained in range.

  See Also:
    `AbstractExcelUtils.getMergedRange(CellRangeAddress[][], int, int)`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.